LINUX.ORG.RU

Не могу осилить сборку nut из исходников.

 , , ,


0

1

Ситуация такая, что версия из пакетов не поддерживает нужный ups. На оффсайте в чуть более новой версии заявляется поддержка. Собственно качаю, собираю.

git clone https://github.com/networkupstools/nut
./autogen.sh
./configure --with-user=ups --with-group=nut
и завершается это ошибками
./configure: line 7233: syntax error near unexpected token `CPPUNIT,'
./configure: line 7233: `PKG_CHECK_MODULES(CPPUNIT, cppunit, have_cppunit=yes, have_cppunit=no)'

Deleted

Ответ на: Шайтан ! от Deleted

Потому что полно любителей писать #!/bin/sh в начале bash скрипта.

omnomnomnus ()
Ответ на: По кочану от novitchok

Вот это новости! Всегда думал, что в баше живу.

Deleted ()
Ответ на: По кочану от novitchok

Вот чёрт! А я однажды при компиляции, не смейся, просто закомментировал в коде. Не смешно. Просто открыл в мс, открыл сишный файл с кодом ошибки ну и тупо закомментировал. Самое смешное, что получилось (собралось) и работало.

cadaber ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.